Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class LFOAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.LFOAbstractType

    public abstract class LFOAbstractType

extends java.lang.Object

List Format Override (LFO).

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`byte` | `getClfolvl()` Count of levels whose format is overridden (see LFOLVL).
`Grfhic` | `getGrfhic()` HTML compatibility flags.
`byte` | `getIbstFltAutoNum()` Used for AUTONUM field emulation.
`int` | `getLsid()` List ID of corresponding LSTF (see LSTF).
`int` | `getReserved1()` Reserved.
`int` | `getReserved2()` Reserved.
`byte` | `getReserved3()` Reserved.
`static int` | `getSize()` Size of record
`int` | `hashCode()`
`byte[]` | `serialize()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setClfolvl(byte field_4_clfolvl)` Count of levels whose format is overridden (see LFOLVL).
`void` | `setGrfhic(Grfhic field_6_grfhic)` HTML compatibility flags.
`void` | `setIbstFltAutoNum(byte field_5_ibstFltAutoNum)` Used for AUTONUM field emulation.
`void` | `setLsid(int field_1_lsid)` List ID of corresponding LSTF (see LSTF).
`void` | `setReserved1(int field_2_reserved1)` Reserved.
`void` | `setReserved2(int field_3_reserved2)` Reserved.
`void` | `setReserved3(byte field_7_reserved3)` Reserved.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLsid

    public int getLsid()

  List ID of corresponding LSTF (see LSTF).

### setLsid

    public void setLsid(int field_1_lsid)

  List ID of corresponding LSTF (see LSTF).

### getReserved1

    public int getReserved1()

  Reserved.

### setReserved1

    public void setReserved1(int field_2_reserved1)

  Reserved.

### getReserved2

    public int getReserved2()

  Reserved.

### setReserved2

    public void setReserved2(int field_3_reserved2)

  Reserved.

### getClfolvl

    public byte getClfolvl()

  Count of levels whose format is overridden (see LFOLVL).

### setClfolvl

    public void setClfolvl(byte field_4_clfolvl)

  Count of levels whose format is overridden (see LFOLVL).

### getIbstFltAutoNum

    public byte getIbstFltAutoNum()

  Used for AUTONUM field emulation.

### setIbstFltAutoNum

    public void setIbstFltAutoNum(byte field_5_ibstFltAutoNum)

  Used for AUTONUM field emulation.

### getGrfhic

    public Grfhic getGrfhic()

  HTML compatibility flags.

### setGrfhic

    public void setGrfhic(Grfhic field_6_grfhic)

  HTML compatibility flags.

### getReserved3

    public byte getReserved3()

  Reserved.

### setReserved3

    public void setReserved3(byte field_7_reserved3)

  Reserved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD